#include <iostream>

using namespace std;

int main()
{
    long long n;
    cin >>n;
    int brojac = 0;
    while (n!=0)
    {
        int a = n%10;
        if (a == 1 || a == 2 || a == 5) brojac = brojac + 1;
        if (a == 3 || a == 4 || a == 7 || a == 6) brojac = brojac + 2;
        if (a == 8 || a == 9) brojac = brojac + 3;
        n = n/10;
    }
    cout <<brojac;
    return 0;
}